Bug 1466726 - Missing in man beakerlib: rlServiceRestore may restart service
Missing in man beakerlib: rlServiceRestore may restart service
Status: NEW
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
28
Unspecified Linux
low Severity low
: ---
: ---
Assigned To: Dalibor Pospíšil
Fedora Extras Quality Assurance
: Documentation, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 06:33 EDT by Roman Žilka
Modified: 2018-02-20 10:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:29:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Žilka 2017-06-30 06:33:19 EDT
If a service is currently running and had been running before the first call of rlServiceStart/rlServiceStop, then rlServiceRestore restarts it instead just leaving it be. That's quite an important feature - please, include it in man beakerlib. An analogous feature (restart-if-currently-running) is present in rlServiceStart and is documented for it in the manpage.

Version-Release number of selected component (if applicable):
beakerlib-1.16-3.fc25
Comment 2 Fedora End Of Life 2017-11-16 14:51:57 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-12-12 05:29:42 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Fedora End Of Life 2018-02-20 10:25:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Note You need to log in before you can comment on or make changes to this bug.